For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get spotlight query

get
Path parameters
idstringRequired
Query parameters
selectstringOptional
Responses
200

OK

application/json
idstringOptional
namestringOptional
templatestringOptional
invalidationIntervalstring · date-span · nullableOptional
invalidateOnDateChangeboolean · nullableOptional
filterstringOptional
scopestring · enumOptionalPossible values:
get/public/v1/spotlight/queries/{id}
GET /public/v1/spotlight/queries/{id} HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "text",
  "audit": {
    "created": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    },
    "updated": {
      "at": "2026-01-01T00:00:00.000Z",
      "by": {}
    }
  },
  "$meta": {
    "omitted": [
      "text"
    ]
  },
  "name": "text",
  "template": "text",
  "invalidationInterval": "text",
  "invalidateOnDateChange": true,
  "filter": "text",
  "scope": "text"
}

Last updated

Was this helpful?